1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78build_triplet = @build@
79host_triplet = @host@
80@USE_COVERAGE_TRUE@am__append_1 = -fprofile-arcs -ftest-coverage
81@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@check_PROGRAMS = test_daemon_start_stop$(EXEEXT) \
82@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@	test_daemon_start_stop_many$(EXEEXT) \
83@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@	test_struct_namevalue$(EXEEXT) \
84@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@	$(am__EXEEXT_1) \
85@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@	$(am__EXEEXT_2)
86@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@am__append_2 = \
87@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  test_new_connection  \
88@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  test_request_response \
89@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  test_notls \
90@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  test_request_response_with_callback \
91@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  test_misc \
92@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  test_session_timeout
93
94@ENABLE_SPDY_TRUE@@HAVE_CURL_BINARY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@am__append_3 = \
95@ENABLE_SPDY_TRUE@@HAVE_CURL_BINARY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  test_proxies
96
97subdir = src/testspdy
98DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
99	$(top_srcdir)/depcomp $(top_srcdir)/test-driver
100ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
101am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
102	$(top_srcdir)/m4/ax_append_flag.m4 \
103	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
104	$(top_srcdir)/m4/ax_check_link_flag.m4 \
105	$(top_srcdir)/m4/ax_check_openssl.m4 \
106	$(top_srcdir)/m4/ax_count_cpus.m4 \
107	$(top_srcdir)/m4/ax_have_epoll.m4 \
108	$(top_srcdir)/m4/ax_pthread.m4 \
109	$(top_srcdir)/m4/ax_require_defined.m4 \
110	$(top_srcdir)/m4/libcurl.m4 $(top_srcdir)/m4/libgcrypt.m4 \
111	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
112	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
113	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
114	$(top_srcdir)/configure.ac
115am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116	$(ACLOCAL_M4)
117mkinstalldirs = $(install_sh) -d
118CONFIG_HEADER = $(top_builddir)/MHD_config.h
119CONFIG_CLEAN_FILES =
120CONFIG_CLEAN_VPATH_FILES =
121@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@am__EXEEXT_1 = test_new_connection$(EXEEXT) \
122@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@	test_request_response$(EXEEXT) \
123@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@	test_notls$(EXEEXT) \
124@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@	test_request_response_with_callback$(EXEEXT) \
125@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@	test_misc$(EXEEXT) \
126@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@	test_session_timeout$(EXEEXT)
127@ENABLE_SPDY_TRUE@@HAVE_CURL_BINARY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@am__EXEEXT_2 = test_proxies$(EXEEXT)
128am__objects_1 = common.$(OBJEXT)
129am_test_daemon_start_stop_OBJECTS = test_daemon_start_stop.$(OBJEXT) \
130	$(am__objects_1)
131test_daemon_start_stop_OBJECTS = $(am_test_daemon_start_stop_OBJECTS)
132am__DEPENDENCIES_1 = $(top_builddir)/src/microspdy/libmicrospdy.la
133test_daemon_start_stop_DEPENDENCIES = $(am__DEPENDENCIES_1)
134AM_V_lt = $(am__v_lt_@AM_V@)
135am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
136am__v_lt_0 = --silent
137am__v_lt_1 =
138am_test_daemon_start_stop_many_OBJECTS =  \
139	test_daemon_start_stop_many.$(OBJEXT) $(am__objects_1)
140test_daemon_start_stop_many_OBJECTS =  \
141	$(am_test_daemon_start_stop_many_OBJECTS)
142test_daemon_start_stop_many_DEPENDENCIES = $(am__DEPENDENCIES_1)
143am__test_misc_SOURCES_DIST = test_misc.c common.h common.c
144@HAVE_SPDYLAY_TRUE@am_test_misc_OBJECTS = test_misc.$(OBJEXT) \
145@HAVE_SPDYLAY_TRUE@	$(am__objects_1)
146test_misc_OBJECTS = $(am_test_misc_OBJECTS)
147@HAVE_SPDYLAY_TRUE@test_misc_DEPENDENCIES = $(am__DEPENDENCIES_1)
148am__test_new_connection_SOURCES_DIST = test_new_connection.c common.h \
149	common.c
150@HAVE_SPDYLAY_TRUE@am_test_new_connection_OBJECTS =  \
151@HAVE_SPDYLAY_TRUE@	test_new_connection.$(OBJEXT) \
152@HAVE_SPDYLAY_TRUE@	$(am__objects_1)
153test_new_connection_OBJECTS = $(am_test_new_connection_OBJECTS)
154@HAVE_SPDYLAY_TRUE@test_new_connection_DEPENDENCIES =  \
155@HAVE_SPDYLAY_TRUE@	$(am__DEPENDENCIES_1)
156am__test_notls_SOURCES_DIST = test_notls.c common.h common.c
157@HAVE_SPDYLAY_TRUE@am_test_notls_OBJECTS = test_notls.$(OBJEXT) \
158@HAVE_SPDYLAY_TRUE@	$(am__objects_1)
159test_notls_OBJECTS = $(am_test_notls_OBJECTS)
160@HAVE_SPDYLAY_TRUE@test_notls_DEPENDENCIES = $(am__DEPENDENCIES_1)
161am__test_proxies_SOURCES_DIST = test_proxies.c common.h common.c
162@HAVE_SPDYLAY_TRUE@am_test_proxies_OBJECTS = test_proxies.$(OBJEXT) \
163@HAVE_SPDYLAY_TRUE@	$(am__objects_1)
164test_proxies_OBJECTS = $(am_test_proxies_OBJECTS)
165@HAVE_SPDYLAY_TRUE@test_proxies_DEPENDENCIES = $(am__DEPENDENCIES_1)
166am__test_request_response_SOURCES_DIST = test_request_response.c \
167	common.h common.c
168@HAVE_SPDYLAY_TRUE@am_test_request_response_OBJECTS =  \
169@HAVE_SPDYLAY_TRUE@	test_request_response.$(OBJEXT) \
170@HAVE_SPDYLAY_TRUE@	$(am__objects_1)
171test_request_response_OBJECTS = $(am_test_request_response_OBJECTS)
172@HAVE_SPDYLAY_TRUE@test_request_response_DEPENDENCIES =  \
173@HAVE_SPDYLAY_TRUE@	$(am__DEPENDENCIES_1)
174am__test_request_response_with_callback_SOURCES_DIST =  \
175	test_request_response_with_callback.c common.h common.c
176@HAVE_SPDYLAY_TRUE@am_test_request_response_with_callback_OBJECTS = test_request_response_with_callback.$(OBJEXT) \
177@HAVE_SPDYLAY_TRUE@	$(am__objects_1)
178test_request_response_with_callback_OBJECTS =  \
179	$(am_test_request_response_with_callback_OBJECTS)
180@HAVE_SPDYLAY_TRUE@test_request_response_with_callback_DEPENDENCIES =  \
181@HAVE_SPDYLAY_TRUE@	$(am__DEPENDENCIES_1)
182am__test_session_timeout_SOURCES_DIST = test_session_timeout.c \
183	common.h common.c
184@HAVE_SPDYLAY_TRUE@am_test_session_timeout_OBJECTS =  \
185@HAVE_SPDYLAY_TRUE@	test_session_timeout.$(OBJEXT) \
186@HAVE_SPDYLAY_TRUE@	$(am__objects_1)
187test_session_timeout_OBJECTS = $(am_test_session_timeout_OBJECTS)
188@HAVE_SPDYLAY_TRUE@test_session_timeout_DEPENDENCIES =  \
189@HAVE_SPDYLAY_TRUE@	$(am__DEPENDENCIES_1)
190am_test_struct_namevalue_OBJECTS = test_struct_namevalue.$(OBJEXT) \
191	$(am__objects_1)
192test_struct_namevalue_OBJECTS = $(am_test_struct_namevalue_OBJECTS)
193test_struct_namevalue_DEPENDENCIES = $(am__DEPENDENCIES_1)
194AM_V_P = $(am__v_P_@AM_V@)
195am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
196am__v_P_0 = false
197am__v_P_1 = :
198AM_V_GEN = $(am__v_GEN_@AM_V@)
199am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
200am__v_GEN_0 = @echo "  GEN     " $@;
201am__v_GEN_1 =
202AM_V_at = $(am__v_at_@AM_V@)
203am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
204am__v_at_0 = @
205am__v_at_1 =
206DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
207depcomp = $(SHELL) $(top_srcdir)/depcomp
208am__depfiles_maybe = depfiles
209am__mv = mv -f
210COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
211	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
212LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
213	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
214	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
215	$(AM_CFLAGS) $(CFLAGS)
216AM_V_CC = $(am__v_CC_@AM_V@)
217am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
218am__v_CC_0 = @echo "  CC      " $@;
219am__v_CC_1 =
220CCLD = $(CC)
221LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
222	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
223	$(AM_LDFLAGS) $(LDFLAGS) -o $@
224AM_V_CCLD = $(am__v_CCLD_@AM_V@)
225am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
226am__v_CCLD_0 = @echo "  CCLD    " $@;
227am__v_CCLD_1 =
228SOURCES = $(test_daemon_start_stop_SOURCES) \
229	$(test_daemon_start_stop_many_SOURCES) $(test_misc_SOURCES) \
230	$(test_new_connection_SOURCES) $(test_notls_SOURCES) \
231	$(test_proxies_SOURCES) $(test_request_response_SOURCES) \
232	$(test_request_response_with_callback_SOURCES) \
233	$(test_session_timeout_SOURCES) \
234	$(test_struct_namevalue_SOURCES)
235DIST_SOURCES = $(test_daemon_start_stop_SOURCES) \
236	$(test_daemon_start_stop_many_SOURCES) \
237	$(am__test_misc_SOURCES_DIST) \
238	$(am__test_new_connection_SOURCES_DIST) \
239	$(am__test_notls_SOURCES_DIST) \
240	$(am__test_proxies_SOURCES_DIST) \
241	$(am__test_request_response_SOURCES_DIST) \
242	$(am__test_request_response_with_callback_SOURCES_DIST) \
243	$(am__test_session_timeout_SOURCES_DIST) \
244	$(test_struct_namevalue_SOURCES)
245RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
246	ctags-recursive dvi-recursive html-recursive info-recursive \
247	install-data-recursive install-dvi-recursive \
248	install-exec-recursive install-html-recursive \
249	install-info-recursive install-pdf-recursive \
250	install-ps-recursive install-recursive installcheck-recursive \
251	installdirs-recursive pdf-recursive ps-recursive \
252	tags-recursive uninstall-recursive
253am__can_run_installinfo = \
254  case $$AM_UPDATE_INFO_DIR in \
255    n|no|NO) false;; \
256    *) (install-info --version) >/dev/null 2>&1;; \
257  esac
258RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
259  distclean-recursive maintainer-clean-recursive
260am__recursive_targets = \
261  $(RECURSIVE_TARGETS) \
262  $(RECURSIVE_CLEAN_TARGETS) \
263  $(am__extra_recursive_targets)
264AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
265	check recheck distdir
266am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
267# Read a list of newline-separated strings from the standard input,
268# and print each of them once, without duplicates.  Input order is
269# *not* preserved.
270am__uniquify_input = $(AWK) '\
271  BEGIN { nonempty = 0; } \
272  { items[$$0] = 1; nonempty = 1; } \
273  END { if (nonempty) { for (i in items) print i; }; } \
274'
275# Make sure the list of sources is unique.  This is necessary because,
276# e.g., the same source file might be shared among _SOURCES variables
277# for different programs/libraries.
278am__define_uniq_tagged_files = \
279  list='$(am__tagged_files)'; \
280  unique=`for i in $$list; do \
281    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
282  done | $(am__uniquify_input)`
283ETAGS = etags
284CTAGS = ctags
285am__tty_colors_dummy = \
286  mgn= red= grn= lgn= blu= brg= std=; \
287  am__color_tests=no
288am__tty_colors = { \
289  $(am__tty_colors_dummy); \
290  if test "X$(AM_COLOR_TESTS)" = Xno; then \
291    am__color_tests=no; \
292  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
293    am__color_tests=yes; \
294  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
295    am__color_tests=yes; \
296  fi; \
297  if test $$am__color_tests = yes; then \
298    red=''; \
299    grn=''; \
300    lgn=''; \
301    blu=''; \
302    mgn=''; \
303    brg=''; \
304    std=''; \
305  fi; \
306}
307am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
308am__vpath_adj = case $$p in \
309    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
310    *) f=$$p;; \
311  esac;
312am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
313am__install_max = 40
314am__nobase_strip_setup = \
315  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
316am__nobase_strip = \
317  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
318am__nobase_list = $(am__nobase_strip_setup); \
319  for p in $$list; do echo "$$p $$p"; done | \
320  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
321  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
322    if (++n[$$2] == $(am__install_max)) \
323      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
324    END { for (dir in files) print dir, files[dir] }'
325am__base_list = \
326  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
327  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
328am__uninstall_files_from_dir = { \
329  test -z "$$files" \
330    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
331    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
332         $(am__cd) "$$dir" && rm -f $$files; }; \
333  }
334am__recheck_rx = ^[ 	]*:recheck:[ 	]*
335am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
336am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
337# A command that, given a newline-separated list of test names on the
338# standard input, print the name of the tests that are to be re-run
339# upon "make recheck".
340am__list_recheck_tests = $(AWK) '{ \
341  recheck = 1; \
342  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
343    { \
344      if (rc < 0) \
345        { \
346          if ((getline line2 < ($$0 ".log")) < 0) \
347	    recheck = 0; \
348          break; \
349        } \
350      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
351        { \
352          recheck = 0; \
353          break; \
354        } \
355      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
356        { \
357          break; \
358        } \
359    }; \
360  if (recheck) \
361    print $$0; \
362  close ($$0 ".trs"); \
363  close ($$0 ".log"); \
364}'
365# A command that, given a newline-separated list of test names on the
366# standard input, create the global log from their .trs and .log files.
367am__create_global_log = $(AWK) ' \
368function fatal(msg) \
369{ \
370  print "fatal: making $@: " msg | "cat >&2"; \
371  exit 1; \
372} \
373function rst_section(header) \
374{ \
375  print header; \
376  len = length(header); \
377  for (i = 1; i <= len; i = i + 1) \
378    printf "="; \
379  printf "\n\n"; \
380} \
381{ \
382  copy_in_global_log = 1; \
383  global_test_result = "RUN"; \
384  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
385    { \
386      if (rc < 0) \
387         fatal("failed to read from " $$0 ".trs"); \
388      if (line ~ /$(am__global_test_result_rx)/) \
389        { \
390          sub("$(am__global_test_result_rx)", "", line); \
391          sub("[ 	]*$$", "", line); \
392          global_test_result = line; \
393        } \
394      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
395        copy_in_global_log = 0; \
396    }; \
397  if (copy_in_global_log) \
398    { \
399      rst_section(global_test_result ": " $$0); \
400      while ((rc = (getline line < ($$0 ".log"))) != 0) \
401      { \
402        if (rc < 0) \
403          fatal("failed to read from " $$0 ".log"); \
404        print line; \
405      }; \
406      printf "\n"; \
407    }; \
408  close ($$0 ".trs"); \
409  close ($$0 ".log"); \
410}'
411# Restructured Text title.
412am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
413# Solaris 10 'make', and several other traditional 'make' implementations,
414# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
415# by disabling -e (using the XSI extension "set +e") if it's set.
416am__sh_e_setup = case $$- in *e*) set +e;; esac
417# Default flags passed to test drivers.
418am__common_driver_flags = \
419  --color-tests "$$am__color_tests" \
420  --enable-hard-errors "$$am__enable_hard_errors" \
421  --expect-failure "$$am__expect_failure"
422# To be inserted before the command running the test.  Creates the
423# directory for the log if needed.  Stores in $dir the directory
424# containing $f, in $tst the test, in $log the log.  Executes the
425# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
426# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
427# will run the test scripts (or their associated LOG_COMPILER, if
428# thy have one).
429am__check_pre = \
430$(am__sh_e_setup);					\
431$(am__vpath_adj_setup) $(am__vpath_adj)			\
432$(am__tty_colors);					\
433srcdir=$(srcdir); export srcdir;			\
434case "$@" in						\
435  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
436    *) am__odir=.;; 					\
437esac;							\
438test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
439  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
440if test -f "./$$f"; then dir=./;			\
441elif test -f "$$f"; then dir=;				\
442else dir="$(srcdir)/"; fi;				\
443tst=$$dir$$f; log='$@'; 				\
444if test -n '$(DISABLE_HARD_ERRORS)'; then		\
445  am__enable_hard_errors=no; 				\
446else							\
447  am__enable_hard_errors=yes; 				\
448fi; 							\
449case " $(XFAIL_TESTS) " in				\
450  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
451    am__expect_failure=yes;;				\
452  *)							\
453    am__expect_failure=no;;				\
454esac; 							\
455$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
456# A shell command to get the names of the tests scripts with any registered
457# extension removed (i.e., equivalently, the names of the test logs, with
458# the '.log' extension removed).  The result is saved in the shell variable
459# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
460# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
461# since that might cause problem with VPATH rewrites for suffix-less tests.
462# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
463am__set_TESTS_bases = \
464  bases='$(TEST_LOGS)'; \
465  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
466  bases=`echo $$bases`
467RECHECK_LOGS = $(TEST_LOGS)
468TEST_SUITE_LOG = test-suite.log
469TEST_EXTENSIONS = @EXEEXT@ .test
470LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
471LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
472am__set_b = \
473  case '$@' in \
474    */*) \
475      case '$*' in \
476        */*) b='$*';; \
477          *) b=`echo '$@' | sed 's/\.log$$//'`; \
478       esac;; \
479    *) \
480      b='$*';; \
481  esac
482am__test_logs1 = $(TESTS:=.log)
483am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
484TEST_LOGS = $(am__test_logs2:.test.log=.log)
485TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
486TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
487	$(TEST_LOG_FLAGS)
488DIST_SUBDIRS = $(SUBDIRS)
489DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
490am__relativize = \
491  dir0=`pwd`; \
492  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
493  sed_rest='s,^[^/]*/*,,'; \
494  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
495  sed_butlast='s,/*[^/]*$$,,'; \
496  while test -n "$$dir1"; do \
497    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
498    if test "$$first" != "."; then \
499      if test "$$first" = ".."; then \
500        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
501        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
502      else \
503        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
504        if test "$$first2" = "$$first"; then \
505          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
506        else \
507          dir2="../$$dir2"; \
508        fi; \
509        dir0="$$dir0"/"$$first"; \
510      fi; \
511    fi; \
512    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
513  done; \
514  reldir="$$dir2"
515ACLOCAL = @ACLOCAL@
516AMTAR = @AMTAR@
517AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
518AR = @AR@
519AS = @AS@
520AUTOCONF = @AUTOCONF@
521AUTOHEADER = @AUTOHEADER@
522AUTOMAKE = @AUTOMAKE@
523AWK = @AWK@
524CC = @CC@
525CCDEPMODE = @CCDEPMODE@
526CFLAGS = @CFLAGS@
527CPP = @CPP@
528CPPFLAGS = @CPPFLAGS@
529CPU_COUNT = @CPU_COUNT@
530CYGPATH_W = @CYGPATH_W@
531DEFS = @DEFS@
532DEPDIR = @DEPDIR@
533DLLTOOL = @DLLTOOL@
534DSYMUTIL = @DSYMUTIL@
535DUMPBIN = @DUMPBIN@
536ECHO_C = @ECHO_C@
537ECHO_N = @ECHO_N@
538ECHO_T = @ECHO_T@
539EGREP = @EGREP@
540EXEEXT = @EXEEXT@
541FGREP = @FGREP@
542GNUTLS_CFLAGS = @GNUTLS_CFLAGS@
543GNUTLS_CPPFLAGS = @GNUTLS_CPPFLAGS@
544GNUTLS_LDFLAGS = @GNUTLS_LDFLAGS@
545GNUTLS_LIBS = @GNUTLS_LIBS@
546GREP = @GREP@
547HAVE_CURL_BINARY = @HAVE_CURL_BINARY@
548HAVE_MAKEINFO_BINARY = @HAVE_MAKEINFO_BINARY@
549HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@
550INSTALL = @INSTALL@
551INSTALL_DATA = @INSTALL_DATA@
552INSTALL_PROGRAM = @INSTALL_PROGRAM@
553INSTALL_SCRIPT = @INSTALL_SCRIPT@
554INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
555LD = @LD@
556LDFLAGS = @LDFLAGS@
557LIBCURL = @LIBCURL@
558LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
559LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
560LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@
561LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
562LIBOBJS = @LIBOBJS@
563LIBS = @LIBS@
564LIBSPDY_VERSION_AGE = @LIBSPDY_VERSION_AGE@
565LIBSPDY_VERSION_CURRENT = @LIBSPDY_VERSION_CURRENT@
566LIBSPDY_VERSION_REVISION = @LIBSPDY_VERSION_REVISION@
567LIBTOOL = @LIBTOOL@
568LIB_VERSION_AGE = @LIB_VERSION_AGE@
569LIB_VERSION_CURRENT = @LIB_VERSION_CURRENT@
570LIB_VERSION_REVISION = @LIB_VERSION_REVISION@
571LIPO = @LIPO@
572LN_S = @LN_S@
573LTLIBOBJS = @LTLIBOBJS@
574MAKEINFO = @MAKEINFO@
575MANIFEST_TOOL = @MANIFEST_TOOL@
576MHD_LIBDEPS = @MHD_LIBDEPS@
577MHD_LIBDEPS_PKGCFG = @MHD_LIBDEPS_PKGCFG@
578MHD_LIB_CFLAGS = @MHD_LIB_CFLAGS@
579MHD_LIB_CPPFLAGS = @MHD_LIB_CPPFLAGS@
580MHD_LIB_LDFLAGS = @MHD_LIB_LDFLAGS@
581MHD_REQ_PRIVATE = @MHD_REQ_PRIVATE@
582MKDIR_P = @MKDIR_P@
583MS_LIB_TOOL = @MS_LIB_TOOL@
584NM = @NM@
585NMEDIT = @NMEDIT@
586OBJDUMP = @OBJDUMP@
587OBJEXT = @OBJEXT@
588OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
589OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
590OPENSSL_LIBS = @OPENSSL_LIBS@
591OTOOL = @OTOOL@
592OTOOL64 = @OTOOL64@
593PACKAGE = @PACKAGE@
594PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
595PACKAGE_NAME = @PACKAGE_NAME@
596PACKAGE_STRING = @PACKAGE_STRING@
597PACKAGE_TARNAME = @PACKAGE_TARNAME@
598PACKAGE_URL = @PACKAGE_URL@
599PACKAGE_VERSION = @PACKAGE_VERSION@
600PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@
601PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@
602PACKAGE_VERSION_SUBMINOR = @PACKAGE_VERSION_SUBMINOR@
603PATH_SEPARATOR = @PATH_SEPARATOR@
604PKG_CONFIG = @PKG_CONFIG@
605PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
606PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
607PTHREAD_CC = @PTHREAD_CC@
608PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
609PTHREAD_LIBS = @PTHREAD_LIBS@
610RANLIB = @RANLIB@
611RC = @RC@
612SED = @SED@
613SET_MAKE = @SET_MAKE@
614SHELL = @SHELL@
615SPDY_LIBDEPS = @SPDY_LIBDEPS@
616SPDY_LIB_CFLAGS = @SPDY_LIB_CFLAGS@
617SPDY_LIB_CPPFLAGS = @SPDY_LIB_CPPFLAGS@
618SPDY_LIB_LDFLAGS = @SPDY_LIB_LDFLAGS@
619STRIP = @STRIP@
620VERSION = @VERSION@
621_libcurl_config = @_libcurl_config@
622abs_builddir = @abs_builddir@
623abs_srcdir = @abs_srcdir@
624abs_top_builddir = @abs_top_builddir@
625abs_top_srcdir = @abs_top_srcdir@
626ac_ct_AR = @ac_ct_AR@
627ac_ct_CC = @ac_ct_CC@
628ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
629am__include = @am__include@
630am__leading_dot = @am__leading_dot@
631am__quote = @am__quote@
632am__tar = @am__tar@
633am__untar = @am__untar@
634ax_pthread_config = @ax_pthread_config@
635bindir = @bindir@
636build = @build@
637build_alias = @build_alias@
638build_cpu = @build_cpu@
639build_os = @build_os@
640build_vendor = @build_vendor@
641builddir = @builddir@
642datadir = @datadir@
643datarootdir = @datarootdir@
644docdir = @docdir@
645dvidir = @dvidir@
646exec_prefix = @exec_prefix@
647have_socat = @have_socat@
648have_zzuf = @have_zzuf@
649host = @host@
650host_alias = @host_alias@
651host_cpu = @host_cpu@
652host_os = @host_os@
653host_vendor = @host_vendor@
654htmldir = @htmldir@
655includedir = @includedir@
656infodir = @infodir@
657install_sh = @install_sh@
658libdir = @libdir@
659libexecdir = @libexecdir@
660localedir = @localedir@
661localstatedir = @localstatedir@
662lt_cv_objdir = @lt_cv_objdir@
663mandir = @mandir@
664mkdir_p = @mkdir_p@
665oldincludedir = @oldincludedir@
666pdfdir = @pdfdir@
667prefix = @prefix@
668program_transform_name = @program_transform_name@
669psdir = @psdir@
670sbindir = @sbindir@
671sharedstatedir = @sharedstatedir@
672srcdir = @srcdir@
673sysconfdir = @sysconfdir@
674target_alias = @target_alias@
675top_build_prefix = @top_build_prefix@
676top_builddir = @top_builddir@
677top_srcdir = @top_srcdir@
678
679# This Makefile.am is in the public domain
680SUBDIRS = .
681AM_CFLAGS = -DDATA_DIR=\"$(top_srcdir)/src/datadir/\" $(am__append_1)
682AM_CPPFLAGS = \
683 -I$(top_srcdir) \
684 -I$(top_srcdir)/src/include \
685 -I$(top_srcdir)/src/applicationlayer \
686 $(LIBCURL_CPPFLAGS)
687
688@HAVE_W32_FALSE@PERF_GET_CONCURRENT = perf_get_concurrent
689TESTS = $(check_PROGRAMS)
690SPDY_SOURCES = \
691 common.h common.c
692
693SPDY_LDADD = \
694 $(top_builddir)/src/microspdy/libmicrospdy.la \
695 -lz
696
697test_daemon_start_stop_SOURCES = \
698 test_daemon_start_stop.c \
699 $(SPDY_SOURCES)
700
701test_daemon_start_stop_LDADD = $(SPDY_LDADD)
702test_daemon_start_stop_many_SOURCES = \
703 test_daemon_start_stop_many.c  \
704 $(SPDY_SOURCES)
705
706test_daemon_start_stop_many_LDADD = $(SPDY_LDADD)
707test_struct_namevalue_SOURCES = \
708 test_struct_namevalue.c  \
709 $(SPDY_SOURCES)
710
711test_struct_namevalue_LDADD = $(SPDY_LDADD)
712@HAVE_SPDYLAY_TRUE@test_new_connection_SOURCES = \
713@HAVE_SPDYLAY_TRUE@ test_new_connection.c  \
714@HAVE_SPDYLAY_TRUE@ $(SPDY_SOURCES)
715
716@HAVE_SPDYLAY_TRUE@test_new_connection_LDADD = $(SPDY_LDADD) \
717@HAVE_SPDYLAY_TRUE@ -lspdylay
718
719@HAVE_SPDYLAY_TRUE@test_request_response_SOURCES = \
720@HAVE_SPDYLAY_TRUE@ test_request_response.c  \
721@HAVE_SPDYLAY_TRUE@ $(SPDY_SOURCES)
722
723@HAVE_SPDYLAY_TRUE@test_request_response_LDADD = $(SPDY_LDADD) \
724@HAVE_SPDYLAY_TRUE@ -lspdylay
725
726@HAVE_SPDYLAY_TRUE@test_notls_SOURCES = \
727@HAVE_SPDYLAY_TRUE@ test_notls.c  \
728@HAVE_SPDYLAY_TRUE@ $(SPDY_SOURCES)
729
730@HAVE_SPDYLAY_TRUE@test_notls_LDADD = $(SPDY_LDADD) \
731@HAVE_SPDYLAY_TRUE@ -lspdylay
732
733@HAVE_SPDYLAY_TRUE@test_request_response_with_callback_SOURCES = \
734@HAVE_SPDYLAY_TRUE@ test_request_response_with_callback.c  \
735@HAVE_SPDYLAY_TRUE@ $(SPDY_SOURCES)
736
737@HAVE_SPDYLAY_TRUE@test_request_response_with_callback_LDADD = $(SPDY_LDADD)
738
739#test_requests_with_assets_SOURCES = \
740# test_requests_with_assets.c  \
741# $(SPDY_SOURCES)
742#test_requests_with_assets_LDADD = $(SPDY_LDADD)
743@HAVE_SPDYLAY_TRUE@test_misc_SOURCES = \
744@HAVE_SPDYLAY_TRUE@ test_misc.c  \
745@HAVE_SPDYLAY_TRUE@ $(SPDY_SOURCES)
746
747@HAVE_SPDYLAY_TRUE@test_misc_LDADD = $(SPDY_LDADD)
748@HAVE_SPDYLAY_TRUE@test_session_timeout_SOURCES = \
749@HAVE_SPDYLAY_TRUE@ test_session_timeout.c  \
750@HAVE_SPDYLAY_TRUE@ $(SPDY_SOURCES)
751
752@HAVE_SPDYLAY_TRUE@test_session_timeout_LDADD = $(SPDY_LDADD)
753@HAVE_SPDYLAY_TRUE@test_proxies_SOURCES = \
754@HAVE_SPDYLAY_TRUE@ test_proxies.c \
755@HAVE_SPDYLAY_TRUE@ $(SPDY_SOURCES)
756
757@HAVE_SPDYLAY_TRUE@test_proxies_LDADD = $(SPDY_LDADD)
758all: all-recursive
759
760.SUFFIXES:
761.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
762$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
763	@for dep in $?; do \
764	  case '$(am__configure_deps)' in \
765	    *$$dep*) \
766	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
767	        && { if test -f $@; then exit 0; else break; fi; }; \
768	      exit 1;; \
769	  esac; \
770	done; \
771	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testspdy/Makefile'; \
772	$(am__cd) $(top_srcdir) && \
773	  $(AUTOMAKE) --gnu src/testspdy/Makefile
774.PRECIOUS: Makefile
775Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
776	@case '$?' in \
777	  *config.status*) \
778	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
779	  *) \
780	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
781	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
782	esac;
783
784$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
785	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
786
787$(top_srcdir)/configure:  $(am__configure_deps)
788	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
789$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
790	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
791$(am__aclocal_m4_deps):
792
793clean-checkPROGRAMS:
794	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
795	echo " rm -f" $$list; \
796	rm -f $$list || exit $$?; \
797	test -n "$(EXEEXT)" || exit 0; \
798	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
799	echo " rm -f" $$list; \
800	rm -f $$list
801
802test_daemon_start_stop$(EXEEXT): $(test_daemon_start_stop_OBJECTS) $(test_daemon_start_stop_DEPENDENCIES) $(EXTRA_test_daemon_start_stop_DEPENDENCIES)
803	@rm -f test_daemon_start_stop$(EXEEXT)
804	$(AM_V_CCLD)$(LINK) $(test_daemon_start_stop_OBJECTS) $(test_daemon_start_stop_LDADD) $(LIBS)
805
806test_daemon_start_stop_many$(EXEEXT): $(test_daemon_start_stop_many_OBJECTS) $(test_daemon_start_stop_many_DEPENDENCIES) $(EXTRA_test_daemon_start_stop_many_DEPENDENCIES)
807	@rm -f test_daemon_start_stop_many$(EXEEXT)
808	$(AM_V_CCLD)$(LINK) $(test_daemon_start_stop_many_OBJECTS) $(test_daemon_start_stop_many_LDADD) $(LIBS)
809
810test_misc$(EXEEXT): $(test_misc_OBJECTS) $(test_misc_DEPENDENCIES) $(EXTRA_test_misc_DEPENDENCIES)
811	@rm -f test_misc$(EXEEXT)
812	$(AM_V_CCLD)$(LINK) $(test_misc_OBJECTS) $(test_misc_LDADD) $(LIBS)
813
814test_new_connection$(EXEEXT): $(test_new_connection_OBJECTS) $(test_new_connection_DEPENDENCIES) $(EXTRA_test_new_connection_DEPENDENCIES)
815	@rm -f test_new_connection$(EXEEXT)
816	$(AM_V_CCLD)$(LINK) $(test_new_connection_OBJECTS) $(test_new_connection_LDADD) $(LIBS)
817
818test_notls$(EXEEXT): $(test_notls_OBJECTS) $(test_notls_DEPENDENCIES) $(EXTRA_test_notls_DEPENDENCIES)
819	@rm -f test_notls$(EXEEXT)
820	$(AM_V_CCLD)$(LINK) $(test_notls_OBJECTS) $(test_notls_LDADD) $(LIBS)
821
822test_proxies$(EXEEXT): $(test_proxies_OBJECTS) $(test_proxies_DEPENDENCIES) $(EXTRA_test_proxies_DEPENDENCIES)
823	@rm -f test_proxies$(EXEEXT)
824	$(AM_V_CCLD)$(LINK) $(test_proxies_OBJECTS) $(test_proxies_LDADD) $(LIBS)
825
826test_request_response$(EXEEXT): $(test_request_response_OBJECTS) $(test_request_response_DEPENDENCIES) $(EXTRA_test_request_response_DEPENDENCIES)
827	@rm -f test_request_response$(EXEEXT)
828	$(AM_V_CCLD)$(LINK) $(test_request_response_OBJECTS) $(test_request_response_LDADD) $(LIBS)
829
830test_request_response_with_callback$(EXEEXT): $(test_request_response_with_callback_OBJECTS) $(test_request_response_with_callback_DEPENDENCIES) $(EXTRA_test_request_response_with_callback_DEPENDENCIES)
831	@rm -f test_request_response_with_callback$(EXEEXT)
832	$(AM_V_CCLD)$(LINK) $(test_request_response_with_callback_OBJECTS) $(test_request_response_with_callback_LDADD) $(LIBS)
833
834test_session_timeout$(EXEEXT): $(test_session_timeout_OBJECTS) $(test_session_timeout_DEPENDENCIES) $(EXTRA_test_session_timeout_DEPENDENCIES)
835	@rm -f test_session_timeout$(EXEEXT)
836	$(AM_V_CCLD)$(LINK) $(test_session_timeout_OBJECTS) $(test_session_timeout_LDADD) $(LIBS)
837
838test_struct_namevalue$(EXEEXT): $(test_struct_namevalue_OBJECTS) $(test_struct_namevalue_DEPENDENCIES) $(EXTRA_test_struct_namevalue_DEPENDENCIES)
839	@rm -f test_struct_namevalue$(EXEEXT)
840	$(AM_V_CCLD)$(LINK) $(test_struct_namevalue_OBJECTS) $(test_struct_namevalue_LDADD) $(LIBS)
841
842mostlyclean-compile:
843	-rm -f *.$(OBJEXT)
844
845distclean-compile:
846	-rm -f *.tab.c
847
848@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common.Po@am__quote@
849@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_daemon_start_stop.Po@am__quote@
850@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_daemon_start_stop_many.Po@am__quote@
851@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_misc.Po@am__quote@
852@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_new_connection.Po@am__quote@
853@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_notls.Po@am__quote@
854@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_proxies.Po@am__quote@
855@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_request_response.Po@am__quote@
856@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_request_response_with_callback.Po@am__quote@
857@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_session_timeout.Po@am__quote@
858@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_struct_namevalue.Po@am__quote@
859
860.c.o:
861@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
862@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
863@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
864@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
865@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
866@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
867
868.c.obj:
869@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
870@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
871@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
872@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
873@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
875
876.c.lo:
877@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
878@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
879@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
880@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
881@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
883
884mostlyclean-libtool:
885	-rm -f *.lo
886
887clean-libtool:
888	-rm -rf .libs _libs
889
890# This directory's subdirectories are mostly independent; you can cd
891# into them and run 'make' without going through this Makefile.
892# To change the values of 'make' variables: instead of editing Makefiles,
893# (1) if the variable is set in 'config.status', edit 'config.status'
894#     (which will cause the Makefiles to be regenerated when you run 'make');
895# (2) otherwise, pass the desired values on the 'make' command line.
896$(am__recursive_targets):
897	@fail=; \
898	if $(am__make_keepgoing); then \
899	  failcom='fail=yes'; \
900	else \
901	  failcom='exit 1'; \
902	fi; \
903	dot_seen=no; \
904	target=`echo $@ | sed s/-recursive//`; \
905	case "$@" in \
906	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
907	  *) list='$(SUBDIRS)' ;; \
908	esac; \
909	for subdir in $$list; do \
910	  echo "Making $$target in $$subdir"; \
911	  if test "$$subdir" = "."; then \
912	    dot_seen=yes; \
913	    local_target="$$target-am"; \
914	  else \
915	    local_target="$$target"; \
916	  fi; \
917	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
918	  || eval $$failcom; \
919	done; \
920	if test "$$dot_seen" = "no"; then \
921	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
922	fi; test -z "$$fail"
923
924ID: $(am__tagged_files)
925	$(am__define_uniq_tagged_files); mkid -fID $$unique
926tags: tags-recursive
927TAGS: tags
928
929tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
930	set x; \
931	here=`pwd`; \
932	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
933	  include_option=--etags-include; \
934	  empty_fix=.; \
935	else \
936	  include_option=--include; \
937	  empty_fix=; \
938	fi; \
939	list='$(SUBDIRS)'; for subdir in $$list; do \
940	  if test "$$subdir" = .; then :; else \
941	    test ! -f $$subdir/TAGS || \
942	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
943	  fi; \
944	done; \
945	$(am__define_uniq_tagged_files); \
946	shift; \
947	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
948	  test -n "$$unique" || unique=$$empty_fix; \
949	  if test $$# -gt 0; then \
950	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
951	      "$$@" $$unique; \
952	  else \
953	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
954	      $$unique; \
955	  fi; \
956	fi
957ctags: ctags-recursive
958
959CTAGS: ctags
960ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
961	$(am__define_uniq_tagged_files); \
962	test -z "$(CTAGS_ARGS)$$unique" \
963	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
964	     $$unique
965
966GTAGS:
967	here=`$(am__cd) $(top_builddir) && pwd` \
968	  && $(am__cd) $(top_srcdir) \
969	  && gtags -i $(GTAGS_ARGS) "$$here"
970cscopelist: cscopelist-recursive
971
972cscopelist-am: $(am__tagged_files)
973	list='$(am__tagged_files)'; \
974	case "$(srcdir)" in \
975	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
976	  *) sdir=$(subdir)/$(srcdir) ;; \
977	esac; \
978	for i in $$list; do \
979	  if test -f "$$i"; then \
980	    echo "$(subdir)/$$i"; \
981	  else \
982	    echo "$$sdir/$$i"; \
983	  fi; \
984	done >> $(top_builddir)/cscope.files
985
986distclean-tags:
987	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
988
989# Recover from deleted '.trs' file; this should ensure that
990# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
991# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
992# to avoid problems with "make -n".
993.log.trs:
994	rm -f $< $@
995	$(MAKE) $(AM_MAKEFLAGS) $<
996
997# Leading 'am--fnord' is there to ensure the list of targets does not
998# expand to empty, as could happen e.g. with make check TESTS=''.
999am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1000am--force-recheck:
1001	@:
1002
1003$(TEST_SUITE_LOG): $(TEST_LOGS)
1004	@$(am__set_TESTS_bases); \
1005	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1006	redo_bases=`for i in $$bases; do \
1007	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1008	            done`; \
1009	if test -n "$$redo_bases"; then \
1010	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1011	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1012	  if $(am__make_dryrun); then :; else \
1013	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1014	  fi; \
1015	fi; \
1016	if test -n "$$am__remaking_logs"; then \
1017	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1018	       "recursion detected" >&2; \
1019	else \
1020	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1021	fi; \
1022	if $(am__make_dryrun); then :; else \
1023	  st=0;  \
1024	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1025	  for i in $$redo_bases; do \
1026	    test -f $$i.trs && test -r $$i.trs \
1027	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1028	    test -f $$i.log && test -r $$i.log \
1029	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1030	  done; \
1031	  test $$st -eq 0 || exit 1; \
1032	fi
1033	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1034	ws='[ 	]'; \
1035	results=`for b in $$bases; do echo $$b.trs; done`; \
1036	test -n "$$results" || results=/dev/null; \
1037	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1038	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1039	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1040	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1041	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1042	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1043	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1044	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1045	  success=true; \
1046	else \
1047	  success=false; \
1048	fi; \
1049	br='==================='; br=$$br$$br$$br$$br; \
1050	result_count () \
1051	{ \
1052	    if test x"$$1" = x"--maybe-color"; then \
1053	      maybe_colorize=yes; \
1054	    elif test x"$$1" = x"--no-color"; then \
1055	      maybe_colorize=no; \
1056	    else \
1057	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1058	    fi; \
1059	    shift; \
1060	    desc=$$1 count=$$2; \
1061	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1062	      color_start=$$3 color_end=$$std; \
1063	    else \
1064	      color_start= color_end=; \
1065	    fi; \
1066	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1067	}; \
1068	create_testsuite_report () \
1069	{ \
1070	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1071	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1072	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1073	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1074	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1075	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1076	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1077	}; \
1078	{								\
1079	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1080	    $(am__rst_title);						\
1081	  create_testsuite_report --no-color;				\
1082	  echo;								\
1083	  echo ".. contents:: :depth: 2";				\
1084	  echo;								\
1085	  for b in $$bases; do echo $$b; done				\
1086	    | $(am__create_global_log);					\
1087	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1088	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1089	if $$success; then						\
1090	  col="$$grn";							\
1091	 else								\
1092	  col="$$red";							\
1093	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1094	fi;								\
1095	echo "$${col}$$br$${std}"; 					\
1096	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1097	echo "$${col}$$br$${std}"; 					\
1098	create_testsuite_report --maybe-color;				\
1099	echo "$$col$$br$$std";						\
1100	if $$success; then :; else					\
1101	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1102	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1103	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1104	  fi;								\
1105	  echo "$$col$$br$$std";					\
1106	fi;								\
1107	$$success || exit 1
1108
1109check-TESTS:
1110	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1111	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1112	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1113	@set +e; $(am__set_TESTS_bases); \
1114	log_list=`for i in $$bases; do echo $$i.log; done`; \
1115	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1116	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1117	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1118	exit $$?;
1119recheck: all $(check_PROGRAMS)
1120	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1121	@set +e; $(am__set_TESTS_bases); \
1122	bases=`for i in $$bases; do echo $$i; done \
1123	         | $(am__list_recheck_tests)` || exit 1; \
1124	log_list=`for i in $$bases; do echo $$i.log; done`; \
1125	log_list=`echo $$log_list`; \
1126	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1127	        am__force_recheck=am--force-recheck \
1128	        TEST_LOGS="$$log_list"; \
1129	exit $$?
1130test_daemon_start_stop.log: test_daemon_start_stop$(EXEEXT)
1131	@p='test_daemon_start_stop$(EXEEXT)'; \
1132	b='test_daemon_start_stop'; \
1133	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1134	--log-file $$b.log --trs-file $$b.trs \
1135	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1136	"$$tst" $(AM_TESTS_FD_REDIRECT)
1137test_daemon_start_stop_many.log: test_daemon_start_stop_many$(EXEEXT)
1138	@p='test_daemon_start_stop_many$(EXEEXT)'; \
1139	b='test_daemon_start_stop_many'; \
1140	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1141	--log-file $$b.log --trs-file $$b.trs \
1142	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1143	"$$tst" $(AM_TESTS_FD_REDIRECT)
1144test_struct_namevalue.log: test_struct_namevalue$(EXEEXT)
1145	@p='test_struct_namevalue$(EXEEXT)'; \
1146	b='test_struct_namevalue'; \
1147	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1148	--log-file $$b.log --trs-file $$b.trs \
1149	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1150	"$$tst" $(AM_TESTS_FD_REDIRECT)
1151test_new_connection.log: test_new_connection$(EXEEXT)
1152	@p='test_new_connection$(EXEEXT)'; \
1153	b='test_new_connection'; \
1154	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1155	--log-file $$b.log --trs-file $$b.trs \
1156	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1157	"$$tst" $(AM_TESTS_FD_REDIRECT)
1158test_request_response.log: test_request_response$(EXEEXT)
1159	@p='test_request_response$(EXEEXT)'; \
1160	b='test_request_response'; \
1161	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1162	--log-file $$b.log --trs-file $$b.trs \
1163	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1164	"$$tst" $(AM_TESTS_FD_REDIRECT)
1165test_notls.log: test_notls$(EXEEXT)
1166	@p='test_notls$(EXEEXT)'; \
1167	b='test_notls'; \
1168	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1169	--log-file $$b.log --trs-file $$b.trs \
1170	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1171	"$$tst" $(AM_TESTS_FD_REDIRECT)
1172test_request_response_with_callback.log: test_request_response_with_callback$(EXEEXT)
1173	@p='test_request_response_with_callback$(EXEEXT)'; \
1174	b='test_request_response_with_callback'; \
1175	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1176	--log-file $$b.log --trs-file $$b.trs \
1177	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1178	"$$tst" $(AM_TESTS_FD_REDIRECT)
1179test_misc.log: test_misc$(EXEEXT)
1180	@p='test_misc$(EXEEXT)'; \
1181	b='test_misc'; \
1182	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1183	--log-file $$b.log --trs-file $$b.trs \
1184	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1185	"$$tst" $(AM_TESTS_FD_REDIRECT)
1186test_session_timeout.log: test_session_timeout$(EXEEXT)
1187	@p='test_session_timeout$(EXEEXT)'; \
1188	b='test_session_timeout'; \
1189	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1190	--log-file $$b.log --trs-file $$b.trs \
1191	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1192	"$$tst" $(AM_TESTS_FD_REDIRECT)
1193test_proxies.log: test_proxies$(EXEEXT)
1194	@p='test_proxies$(EXEEXT)'; \
1195	b='test_proxies'; \
1196	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1197	--log-file $$b.log --trs-file $$b.trs \
1198	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1199	"$$tst" $(AM_TESTS_FD_REDIRECT)
1200.test.log:
1201	@p='$<'; \
1202	$(am__set_b); \
1203	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1204	--log-file $$b.log --trs-file $$b.trs \
1205	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1206	"$$tst" $(AM_TESTS_FD_REDIRECT)
1207@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1208@am__EXEEXT_TRUE@	@p='$<'; \
1209@am__EXEEXT_TRUE@	$(am__set_b); \
1210@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1211@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1212@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1213@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1214
1215distdir: $(DISTFILES)
1216	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1217	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1218	list='$(DISTFILES)'; \
1219	  dist_files=`for file in $$list; do echo $$file; done | \
1220	  sed -e "s|^$$srcdirstrip/||;t" \
1221	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1222	case $$dist_files in \
1223	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1224			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1225			   sort -u` ;; \
1226	esac; \
1227	for file in $$dist_files; do \
1228	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1229	  if test -d $$d/$$file; then \
1230	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1231	    if test -d "$(distdir)/$$file"; then \
1232	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1233	    fi; \
1234	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1235	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1236	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1237	    fi; \
1238	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1239	  else \
1240	    test -f "$(distdir)/$$file" \
1241	    || cp -p $$d/$$file "$(distdir)/$$file" \
1242	    || exit 1; \
1243	  fi; \
1244	done
1245	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1246	  if test "$$subdir" = .; then :; else \
1247	    $(am__make_dryrun) \
1248	      || test -d "$(distdir)/$$subdir" \
1249	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1250	      || exit 1; \
1251	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1252	    $(am__relativize); \
1253	    new_distdir=$$reldir; \
1254	    dir1=$$subdir; dir2="$(top_distdir)"; \
1255	    $(am__relativize); \
1256	    new_top_distdir=$$reldir; \
1257	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1258	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1259	    ($(am__cd) $$subdir && \
1260	      $(MAKE) $(AM_MAKEFLAGS) \
1261	        top_distdir="$$new_top_distdir" \
1262	        distdir="$$new_distdir" \
1263		am__remove_distdir=: \
1264		am__skip_length_check=: \
1265		am__skip_mode_fix=: \
1266	        distdir) \
1267	      || exit 1; \
1268	  fi; \
1269	done
1270check-am: all-am
1271	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1272	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1273check: check-recursive
1274all-am: Makefile
1275installdirs: installdirs-recursive
1276installdirs-am:
1277install: install-recursive
1278install-exec: install-exec-recursive
1279install-data: install-data-recursive
1280uninstall: uninstall-recursive
1281
1282install-am: all-am
1283	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1284
1285installcheck: installcheck-recursive
1286install-strip:
1287	if test -z '$(STRIP)'; then \
1288	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1289	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1290	      install; \
1291	else \
1292	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1293	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1294	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1295	fi
1296mostlyclean-generic:
1297	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1298	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1299	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1300
1301clean-generic:
1302
1303distclean-generic:
1304	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1305	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1306
1307maintainer-clean-generic:
1308	@echo "This command is intended for maintainers to use"
1309	@echo "it deletes files that may require special tools to rebuild."
1310clean: clean-recursive
1311
1312clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1313	mostlyclean-am
1314
1315distclean: distclean-recursive
1316	-rm -rf ./$(DEPDIR)
1317	-rm -f Makefile
1318distclean-am: clean-am distclean-compile distclean-generic \
1319	distclean-tags
1320
1321dvi: dvi-recursive
1322
1323dvi-am:
1324
1325html: html-recursive
1326
1327html-am:
1328
1329info: info-recursive
1330
1331info-am:
1332
1333install-data-am:
1334
1335install-dvi: install-dvi-recursive
1336
1337install-dvi-am:
1338
1339install-exec-am:
1340
1341install-html: install-html-recursive
1342
1343install-html-am:
1344
1345install-info: install-info-recursive
1346
1347install-info-am:
1348
1349install-man:
1350
1351install-pdf: install-pdf-recursive
1352
1353install-pdf-am:
1354
1355install-ps: install-ps-recursive
1356
1357install-ps-am:
1358
1359installcheck-am:
1360
1361maintainer-clean: maintainer-clean-recursive
1362	-rm -rf ./$(DEPDIR)
1363	-rm -f Makefile
1364maintainer-clean-am: distclean-am maintainer-clean-generic
1365
1366mostlyclean: mostlyclean-recursive
1367
1368mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1369	mostlyclean-libtool
1370
1371pdf: pdf-recursive
1372
1373pdf-am:
1374
1375ps: ps-recursive
1376
1377ps-am:
1378
1379uninstall-am:
1380
1381.MAKE: $(am__recursive_targets) check-am install-am install-strip
1382
1383.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1384	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1385	clean-libtool cscopelist-am ctags ctags-am distclean \
1386	distclean-compile distclean-generic distclean-libtool \
1387	distclean-tags distdir dvi dvi-am html html-am info info-am \
1388	install install-am install-data install-data-am install-dvi \
1389	install-dvi-am install-exec install-exec-am install-html \
1390	install-html-am install-info install-info-am install-man \
1391	install-pdf install-pdf-am install-ps install-ps-am \
1392	install-strip installcheck installcheck-am installdirs \
1393	installdirs-am maintainer-clean maintainer-clean-generic \
1394	mostlyclean mostlyclean-compile mostlyclean-generic \
1395	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1396	uninstall uninstall-am
1397
1398@ENABLE_SPDY_TRUE@@HAVE_OPENSSL_TRUE@@HAVE_SPDYLAY_TRUE@  #test_requests_with_assets
1399
1400# Tell versions [3.59,3.63) of GNU make to not export all variables.
1401# Otherwise a system limit (for SysV at least) may be exceeded.
1402.NOEXPORT:
1403